//
//  PKWebSocketFrame.h
//  PKWebSocket
//
//  Created by Pavel Kunc on 20/04/2012.
//  Copyright (c) 2012 Pavel Kunc. All rights reserved.
//

#import <Foundation/Foundation.h>

@class PKWebSocketFrameParser;

@protocol PKWebSocketFrameDelegate <NSObject>
- (void)parserNeedsReadDataToData:(NSData *)boundary;
- (void)parserNeedsReadDataOfLength:(NSUInteger)length;
- (void)parserNeedsInitiateClosingHandshakeWithData:(NSData *)data;
- (void)parserDidProcessString:(NSString *)string error:(NSError *)error;

@optional
- (void)parserDidProcessData:(NSData *)data error:(NSError *)error;
@end


@interface PKWebSocketFrameParser : NSObject

@property (nonatomic, weak, readwrite) id<PKWebSocketFrameDelegate> delegate;
@property (nonatomic, strong, readwrite) NSData *closingPayload;


- (void)processData:(NSData *)data;
- (NSData *)textFramePayloadWithString:(NSString *)string;
- (NSData *)binaryFramePayloadWithData:(NSData *)aData;

@end

