//
//  PKWebSocketConstants.h
//  PKWebSocket
//
//  Created by Pavel Kunc on 19/04/2012.
//  Copyright (c) 2012 Pavel Kunc. All rights reserved.
//

#import <Foundation/Foundation.h>

extern NSString * const PKWebSocketErrorDomain;
extern NSString * const PKWebSocketException;

extern const NSUInteger PKWebSocketTagOpeningHandshake;
extern const NSUInteger PKWebSocketTagClosingHandshake;
extern const NSUInteger PKWebSocketTagMessage;

typedef enum {
    PKWebSocketDisconnectedStatus = 0,
    PKWebSocketConnectingStatus,
    PKWebSocketConnectedStatus,
    PKWebSocketOpeningStatus,
    PKWebSocketOpenedStatus,
    PKWebSocketClosingStatus,
    PKWebSocketClosedStatus
} PKWebSocketStatus;

typedef enum {
    PKWebSocketErrorConnectionFailed = 1,
    PKWebSocketErrorHandshakeFailed,
    PKWebSocketFrameInvalidFrame,
    PKWebSocketFrameIncompleteFrame,
    PKWebSocketInvalidURL,
    PKWebSocketInvalidHandshakeRequest,
    PKWebSocketInvalidResponse,
    PKWebSocketIncompleteResponseHeaders,
    PKWebSocketTLSError
} PKWebSocketError;

