//
//  PKWebSocketMessageTests.m
//  PKWebSocketMessageTests
//
//  Created by Pavel Kunc on 16/04/2012.
//  Copyright (c) 2012 Pavel Kunc. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <SenTestingKit/SenTestingKit.h>
#import "PKWebSocketMessage.h"

@interface PKWebSocketMessageTests : SenTestCase
@end

@implementation PKWebSocketMessageTests

- (void)setUp {
    [super setUp];
}

- (void)tearDown {
    [super tearDown];
}

- (void)testMessageWithDataCreateBinaryMessage {
    NSData *data = [NSData dataWithBytes:"\x48\x65\x6C\x6C\x6F" length:5];
    PKWebSocketMessage *msg = [PKWebSocketMessage messageWithData:data];
    STAssertTrue([msg isBinary], @"Must be binary");
    STAssertTrue([msg.data isEqualToData:data], @"What you put in you get back");
    STAssertNil(msg.string, @"No string can be set");
}

- (void)testMessageWithDataCreateStringMessage {
    PKWebSocketMessage *msg = [PKWebSocketMessage messageWithString:@"foo-bar"];
    STAssertFalse([msg isBinary], @"Must be string");
    STAssertTrue([msg.string isEqualToString:@"foo-bar"], @"What you put in you get back.");
    STAssertNil(msg.data, @"No data can be set");
}

@end
