require 'em-websocket'

EventMachine.run {
  @channel = EM::Channel.new

  options = { :host => "0.0.0.0", :port => 10_000, :debug => true }

  EventMachine::WebSocket.start(options) do |ws|
    ws.onopen {
      @sid = @channel.subscribe {|msg| ws.send(msg) }
      puts "Client #{@sid} connected!"
    }

    ws.onmessage {|data|
      @channel.push(data)
    }

    ws.onclose {
      puts "Client #{@sid} gone..."
      @channel.unsubscribe(@sid)
    }
  end

  puts "Server started"
}

